Content analytics

Posts ranked by what they gained in the range

GET/api/public/v1/content/top_posts
LiveAnswers from your brand's records now.

Operation id getContentTopPosts

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/top_posts" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter
sortquerystringOne of viewslikescommentssharessavesengagement
limitqueryinteger
pagequeryinteger

Responses

200Success

FieldTypeNotes
dataobject
data.itemsarray of object
data.items[].[].accountobject
data.items[].[].account.avatar_urlstring, nullable
data.items[].[].account.idstring
data.items[].[].account.namestring, nullable
data.items[].[].account.platformstring
data.items[].[].account.platform_uidstring, nullable
data.items[].[].account.profile_share_urlstring, nullable
data.items[].[].account.usernamestring, nullable
data.items[].[].content_typestring, nullable
data.items[].[].creatorobject
data.items[].[].creator.avatar_urlstring, nullable
data.items[].[].creator.idinteger
data.items[].[].creator.namestring, nullable
data.items[].[].external_idstring, nullable
data.items[].[].idstring
data.items[].[].metricsobject
data.items[].[].metrics.commentsinteger
data.items[].[].metrics.engagement_ratenumber
data.items[].[].metrics.likesinteger
data.items[].[].metrics.savesinteger
data.items[].[].metrics.sharesinteger
data.items[].[].metrics.viewsinteger
data.items[].[].platformstring
data.items[].[].posted_atstring (date-time), nullable
data.items[].[].share_urlstring, nullable
data.items[].[].titlestring, nullable
data.limitinteger
data.min_viewsinteger, nullable
data.pageinteger
data.sortstring
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "items": [
      {
        "account": {
          "avatar_url": "https://example.com/p/1",
          "id": "string",
          "name": "Example name",
          "platform": "string",
          "platform_uid": "string",
          "profile_share_url": "https://example.com/p/1",
          "username": "Example name"
        },
        "content_type": "string",
        "creator": {
          "avatar_url": "https://example.com/p/1",
          "id": 1024,
          "name": "Example name"
        },
        "external_id": "string",
        "id": "string",
        "metrics": {
          "comments": 3,
          "engagement_rate": 0.15,
          "likes": 3,
          "saves": 3,
          "shares": 3,
          "views": 3
        },
        "platform": "string",
        "posted_at": "2026-11-01T15:04:05Z",
        "share_url": "https://example.com/p/1",
        "title": "string"
      }
    ],
    "limit": 3,
    "min_views": 3,
    "page": 1,
    "sort": "string"
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.